<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qs.mp.channel.mapper.ChannelBankCardMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qs.mp.channel.domain.ChannelBankCard">
        <id column="id" property="id" />
        <result column="channel_id" property="channelId" />
        <result column="user_name" property="userName" />
        <result column="card_no" property="cardNo" />
        <result column="bank_name" property="bankName" />
        <result column="branch_name" property="branchName" />
        <result column="mobile" property="mobile" />
        <result column="default_card" property="defaultCard" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, channel_id, user_name, card_no, bank_name, branch_name, mobile, default_card, create_time, update_time
    </sql>

</mapper>